Skip to content

Issue a licence

POST
/v1/admin/licences
curl --request POST \
--url https://api.sealcord.com/v1/admin/licences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "product_id": "example", "email": "hello@example.com", "limit_kind": "seats", "limit_count": 1, "expires_at": "2026-04-15T12:00:00Z", "major": 1, "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "external_ref": "example", "trial": false }'
Media typeapplication/json
object
product_id
required
string
/^[a-z0-9][a-z0-9-]{0,62}$/
email
required
string format: email
<= 320 characters /^(?:[A-Za-z0-9_'+\-]+\.)*[A-Za-z0-9_'+\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$/
limit_kind
string
default: seats
Allowed values: seats machines
limit_count
integer
default: 1 >= 1 <= 4294967295
expires_at
string format: date-time
/^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$/
major
integer
>= 1 <= 65535
id
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
external_ref
string
/^[\x20-\x7e]{1,200}$/
trial
boolean

Missing or invalid API key.

Needs scope licences:write.